MLAPI API Reference

# BitReader Class

[This is preliminary documentation and is subject to change.]

[Missing <summary> documentation for "T:MLAPI.NetworkingManagerComponents.Binary.BitReader"]

Inheritance Hierarchy
System
Object
MLAPI.NetworkingManagerComponents.Binary
BitReader

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public class BitReader

Request Example
View Source

The BitReader type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| BitReader | Initializes a new instance of the BitReader class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | (Inherited from Object.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Object.)
| GetType | (Inherited from Object.)
| MemberwiseClone | (Inherited from Object.)
| ReadBool |
| ReadByte |
| ReadByteArray |
| ReadDouble |
| ReadDoubleArray |
| ReadFloat |
| ReadFloatArray |
| ReadInt |
| ReadIntArray |
| ReadLong |
| ReadLongArray |
| ReadSByte |
| ReadSByteArray |
| ReadShort |
| ReadShortArray |
| ReadString |
| ReadUInt |
| ReadUIntArray |
| ReadULong |
| ReadULongArray |
| ReadUShort |
| ReadUShortArray |
| SkipPadded |
| ToString | (Inherited from Object.)

Top
See Also

#### Reference

MLAPI.NetworkingManagerComponents.Binary Namespace